跳至主要內容
Knowledgebase
Home
Renesas Electronics Taiwan - Knowledgebase

How do I upgrade a work space for an earlier version of V.9.04 Release 01?

Latest Updated:05/18/2015

Question:

I have installed a version of SHC later than V.9.04 Release 01. When I open a workspace created with a previous version of the SHC compiler, V.6, the HEW IDE displays the message below and would not execute a build.
How do I upgrade a workspace for an earlier version to work with V.9.04 Release 01 and later versions?

Toolchain 'Hitachi SuperH RISC engine Standard Toolchain', version x.x.x is missing from the following project(s) ***** There is no compatible toolchain.
Build functionality will not be available.
x.x.x: Version number
*****: Project name

Answer:

Workspaces created with V.6 and previous versions of the SHC compiler are not automatically upgraded to work with V.9.04 Release 01 and later versions.

After upgrading the workspace to work with any version from V.7 to V.9.04 Release 00(*), upgrade the new workspace to work with V.9.04 Release 01 and later versions.
* Simply opening the workspace in an environment which has a version from V.7 to V.9.04 Release 00 will lead to automatic upgrading of the workspace.

Please contact our regional sales office if you do not have a version in the range from V.7 to V.9.04 Release 00.

Suitable Products
High-performance Embedded Workshop
C/C++ Compiler Package for SuperH Family